<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.third.doordevice.mapper.QinlinConfigMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="qinlinConfigResultMap" type="org.springblade.third.doordevice.entity.QinlinConfig">
        <id column="l_id" property="lId"/>
        <result column="s_login_name" property="sLoginName"/>
        <result column="s_login_pwd" property="sLoginPwd"/>
        <result column="s_url" property="sUrl"/>
        <result column="s_encode_pwd" property="sEncodePwd"/>
        <result column="s_iv" property="sIv"/>
    </resultMap>


    <select id="selectQinlinConfigPage" resultMap="qinlinConfigResultMap">
        select * from third_qinlin_config where is_deleted = 0
    </select>

</mapper>
